#ifndef INPUT_H
#define INPUT_H

struct _input{
	char filename[255];
	char audio_filename[255];
	uint8_t window_type;
	uint8_t rotation_angle;
	uint8_t lock_aspect_to_screen_format: 3;
	uint8_t lock_aspect_to_pixel_format: 3;
	uint8_t lock_aspect_to_specified: 1;
	uint8_t prescaled: 1;
	double input_aspect;
	uint16_t x, y;
	uint16_t w,h1,h2;
	double r1,r2,angle;
	uint16_t Xres,Yres;
	uint16_t sxres, syres;
	double XRR,YRR;
	uint8_t multi_frame;
	uint8_t loop;
	double length;
};

extern struct _input input;
extern uint8_t multi_frame;

void scale_blit(SDL_Surface *dest, SDL_Rect *dr, SDL_Surface *src, int sx, int sy, int w, int h);
void init_input();
double get_rect_height();
double get_rect_width();
int load_input_file();
void video_stop();
SDL_Surface *frame_window(struct _input *in, struct NBTV_format *f);

//extern char frame_changed;
extern char updated_fn;

#endif